/*
 * @Author: Kane
 * @Date: 2023-06-03 19:56:03
 * @LastEditors: Kane
 * @FilePath: /desktop_archievement_backend/src/main/java/com/cpic/xim/web/controllers/archievement/RankingList/RankingListRequest.java
 * @Description: 
 * 
 * Copyright (c) ${2022} by Kane, All Rights Reserved. 
 */
package com.cpic.xim.web.controllers.archievement.RankingList;

import com.fasterxml.jackson.annotation.JsonProperty;

public class RankingListRequest
{
    public RankingListRequest() {}

    public String getDepartmentCode()
    {
        return departmentCode;
    }

    public void setDepartmentCode( String departmentCode )
    {
        this.departmentCode = departmentCode;
    }

    public String getYear()
    {
        return year;
    }

    public void setYear( String year )
    {
        this.year = year;
    }

    public String getMonth()
    {
        return month;
    }

    public void setMonth( String month )
    {
        this.month = month;
    }

    @JsonProperty("departmentCode")
    private String departmentCode;

    @JsonProperty("year")
    private String year;

    @JsonProperty("month")
    private String month;
}